import { JavaObject } from '../../../java/lang/JavaObject';
import { GostBeratungslehrer } from '../../../core/data/gost/GostBeratungslehrer';
import { Vector } from '../../../java/util/Vector';
export declare class GostJahrgangsdaten extends JavaObject {
    abiturjahr: Number | null;
    jahrgang: String | null;
    bezeichnung: String | null;
    istAbgeschlossen: boolean;
    textBeratungsbogen: String | null;
    textMailversand: String | null;
    beginnZusatzkursGE: String | null;
    beginnZusatzkursSW: String | null;
    readonly beratungslehrer: Vector<GostBeratungslehrer>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostJahrgangsdaten;
    static transpilerToJSON(obj: GostJahrgangsdaten): string;
    static transpilerToJSONPatch(obj: Partial<GostJahrgangsdaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostJahrgangsdaten(obj: unknown): GostJahrgangsdaten;
